## tcptraceroute 1.5beta7%2Bdebian

=== debian/rules ===
#!/usr/bin/make -f
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

execute_after_dh_auto_install:
	mv debian/tcptraceroute/usr/bin/tcptraceroute debian/tcptraceroute/usr/bin/tcptraceroute.mt
	mv debian/tcptraceroute/usr/share/man/man1/tcptraceroute.1 debian/tcptraceroute/usr/share/man/man1/tcptraceroute.mt.1
	rm -rf debian/tcptraceroute/usr/share/doc/tcptraceroute

execute_after_dh_fixperms:
	chmod 4755 debian/tcptraceroute/usr/bin/tcptraceroute.mt
