## tcptraceroute 1.5beta7%2bdebian

=== debian/changelog ===
tcptraceroute (1.5beta7+debian-4maemo4) freemantle; urgency=low

  * Upgraded source format to 3.0 (quilt)

 -- Graham Inggs <graham@nerve.org.za> Sat, 14 Jul 2012 14:27:00 +0200

tcptraceroute (1.5beta7+debian-4maemo3) freemantle; urgency=low

  * Added CLI icon, updated Section and Description

 -- Graham Inggs <graham@nerve.org.za> Tue, 20 Sep 2011 19:15:00 +0200

tcptraceroute (1.5beta7+debian-4maemo2) freemantle; urgency=low

  * Uncommented lines accidentally left commented in main.c

 -- Graham Inggs <graham@nerve.org.za> Tue, 13 Sep 2011 22:40:00 +0200

tcptraceroute (1.5beta7+debian-4maemo1) freemantle; urgency=low

  * Packaged for Maemo

 -- Graham Inggs <graham@nerve.org.za> Sun, 11 Sep 2011 00:30:00 +0200

tcptraceroute (1.5beta7+debian-4) unstable; urgency=low

  * [c22350e] New maintainers, thanks to Daniel Baumann for the prior
    work on tcptraceroute (Closes: #543861)
  * [3946e75] debian/control: Added Vcs and DM-Upload-Allowed control
    fields
  * [69139a4] Added a watch file

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 29 Aug 2009 19:07:57 +0200

tcptraceroute (1.5beta7+debian-3) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 08:33:47 +0200

tcptraceroute (1.5beta7+debian-2) unstable; urgency=low

  * Updating vcs fields in control file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Updating rules file to current state of the art.
  * Added missing comma in depends.
  * Prefixing debhelper files with package name.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Jul 2009 01:14:32 +0200

tcptraceroute (1.5beta7+debian-1) unstable; urgency=low

  * Removing tcptraceroute.c file, it's a left-over from source-file
    splitting in 1.5beta5 to 1.5beta6.
  * Merging upstream version 1.5beta7 (Closes: #487210).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jun 2008 07:44:00 +0200

tcptraceroute (1.5beta6-3) unstable; urgency=low

  * New maintainer (Closes: #487736).
  * Redone debian packaging from scratch.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Jun 2008 23:05:00 +0200

tcptraceroute (1.5beta6-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainers blessing:
    - Adding alternatives handling for tcptraceroute (Closes: #438757).
  * Some additional things:
    - Bumping standards version, no other changes needed.
    - Bumping debhelper version, no other changes needed.
    - Removing useless whitespaces at EOL and EOF in debian/*.
    - Updating libpcap-dev build-depends to libpcap0.8-dev (Closes: #422559).
    - Updating clean target in rules (Closes: #424216).
    - Updating FSF address in copyright.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 10:43:00 +0100

tcptraceroute (1.5beta6-2) unstable; urgency=low

  * Update config.guess/config.sub from autotools-dev. Closes: 333827.
  * Change $(PWD) to $(CURDIR) in debian/rules.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Mar 2007 23:33:31 +0100

tcptraceroute (1.5beta6-1) unstable; urgency=low

  * new upstream beta version
    Closes: 298502: new upstream version
  * add notes to README.Debian about upstream author's
    desire for specific tests and feedback.

 -- David Coe <davidc@debian.org>  Mon, 14 Mar 2005 00:35:38 -0500

tcptraceroute (1.5beta5-2) unstable; urgency=low

  * build again with sarge rather than sid libraries; oops.

 -- David Coe <davidc@debian.org>  Mon, 15 Nov 2004 00:55:24 -0500

tcptraceroute (1.5beta5-1) unstable; urgency=low

  * new upstream (beta) release; stable since 2003-07-02; notable changes:
    - Now functions properly with libpcap when using an interface without a
      valid IPv4 addresss.
      Closes: #183456: fails on pcap_lookupnet when only alias interfaces configured
    - Matt Zimmerman's security fix (in 1.4-4) has been integrated upstream.
    - Added linklayer support for PPPoE interfaces.
    - Improved the round trip time calculations.
  * debian/control, debian/rules: minor changes for new upstream (autoconf, libnet1)
    Closes: #255764: uses old libnet0 which is broken on 64bit arches
    Closes: #269143: FTBFS: unsatisfiable build-dependency
  * debian/control, debian/rules: debhelper compatability 4
  * debian/control: standards version 3.5.10 -> 3.6.1; no changes required.

 -- David Coe <davidc@debian.org>  Sun, 14 Nov 2004 23:49:05 -0500

tcptraceroute (1.4-5) unstable; urgency=low

  * rebuild with libpcap0.7; no other changes.
    Closes: #199790: `pcap_version' has different size in shared object, consider re-linking

 -- David Coe <davidc@debian.org>  Fri, 04 Jul 2003 01:20:44 -0400

tcptraceroute (1.4-4) unstable; urgency=low

  * security fix (seteuid -> setuid) thanks to Matt Zimmerman.
    Closes: #198142: Does not drop root privileges properly
  * standards version 3.5.10 (add support for DEB_BUILD_OPTIONS
    "noopt", compile with -g regardless of "debug")

 -- David Coe <davidc@debian.org>  Thu, 19 Jun 2003 23:18:49 -0400

tcptraceroute (1.4-3) unstable; urgency=low

  * corrected a c syntax error exposed by gcc-3.3
    Closes: #195595: FTBFS with gcc-3.3: Uses multiline strings

 -- David Coe <davidc@debian.org>  Sun, 01 Jun 2003 01:26:00 -0400

tcptraceroute (1.4-2) unstable; urgency=low

  * built in a 'sid' chroot to get the new libpcap; no other changes
    Closes: #156187: uninstallable because of libpcap change

 -- David Coe <davidc@debian.org>  Wed, 14 Aug 2002 19:07:19 -0400

tcptraceroute (1.4-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:45 +0200

tcptraceroute (1.4-1) unstable; urgency=low


