## tcptraceroute 1.5beta7+debian

=== debian/changelog ===
tcptraceroute (1.5beta7+debian-4.2build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:12:16 +0000

tcptraceroute (1.5beta7+debian-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089450)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 07:59:35 +0000

tcptraceroute (1.5beta7+debian-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 12:07:47 -0400

tcptraceroute (1.5beta7+debian-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control:
    - Remove Giuseppe Iuculano from Uploader list. (Closes: #866836)
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Update Homepage, Vcs-Git and Vcs-Browser fields to latest info.
  * debian/source/compat: Use "3.0 (quilt)" format. (Closes: #681575)
  * debian/watch: Fix watch and monitor GitHub releases.
  * debian/rules: Rewrite using dh sequencer.
    + Enable full hardening. (Closes: #674577)
  * debian/patches:
    + Add patch to fix FTCBFS. (Closes: #901907)
    + Add patch to make package reproducible. (Closes: #828786)
    + Cherry-pick upstream fixes till 20170505.
    + Add patch to fix configure.ac version calculation.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2019 11:01:07 -0400
