=== debian/control ===
Source: tcptraceroute
Section: net
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libnet1-dev,
 libpcap0.8-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://github.com/mct/tcptraceroute
Vcs-Git: https://salsa.debian.org/debian/tcptraceroute.git
Vcs-Browser: https://salsa.debian.org/debian/tcptraceroute

Package: tcptraceroute
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: traceroute implementation using TCP packets
 The more traditional traceroute(8) sends out either UDP or ICMP ECHO packets
 with a TTL of one, and increments the TTL until the destination has been
 reached. By printing the gateways that generate ICMP time exceeded messages
 along the way, it is able to determine the path packets are taking to reach the
 destination.
 .
 The problem is that with the widespread use of firewalls on the modern
 Internet, many of the packets that traceroute(8) sends out end up being
 filtered, making it impossible to completely trace the path to the destination.
 However, in many cases, these firewalls will permit inbound TCP packets to
 specific ports that hosts sitting behind the firewall are listening for
 connections on. By sending out TCP SYN packets instead of UDP or ICMP ECHO
 packets, tcptraceroute is able to bypass the most common firewall filters.
