=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tcptraceroute-$1.tar.gz%" \
 https://github.com/mct/tcptraceroute/releases \
 (?:.*?/)?tcptraceroute-v?(\d[\d.]*(?:beta)?\d?)\.tar\.gz debian uupdate
